<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Main Page</title>
    <script>
        color = "green";
        window.onscroll = () => {
            if (window.innerHeight + window.scrollY >= document.body.offSetHeight) {
                document.querySelector('body').style.background = color;
            } else {
                document.querySelector('body').style.background = 'white';
            }
        };
        
        // window.onscroll = () => {
        //     if (window.innerHeight + window.scrollY >= document.body.offsetHeight) {
        //         document.querySelector('body').style.background = 'blue';
        //     } else {
        //         document.querySelector('body').style.background = 'green';
        //     }
        // };
        
    </script>
</head>
<body style="background: #d76f1f;">
    <h1>Index Page</h1>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
    <div>Scroll Down to Change background..!!</div>
</body>
</html>